Bug 193153 - libdw.h does not have extern C { }
Summary: libdw.h does not have extern C { }
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: elfutils   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-05-25 18:03 UTC by Adam Jocksch
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 0.121-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-15 08:37:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Adam Jocksch 2006-05-25 18:03:46 UTC
Description of problem:
When trying to compile libdw against a C++ program it fails to link. Any symbols
used from the library will not be found by the linker:

(i.e.: .//libfrysk-imports.so: undefined reference to `dwarf_begin_elf(Elf*,
Dwarf_Cmd, Elf_Scn*)' )

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Ulrich Drepper 2006-05-27 18:12:33 UTC
I fixed it upstream.


Comment 2 Adam Jocksch 2006-05-29 15:41:31 UTC
Has this been fixed just for libdw.h, or for all the headers in the library?
I've found the same problem for libdwfl.h and suspect it may also be present in
others.

Comment 3 Ulrich Drepper 2006-05-29 16:11:27 UTC
All headers have been fixed.

Comment 4 Roland McGrath 2006-06-15 08:37:47 UTC
This is fixed in 0.121, which is in rawhide, or perhaps held back until
fc6-test1 gets cut, but it's built.



Note You need to log in before you can comment on or make changes to this bug.